<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmBatchUnlock Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmBatchUnlock Interface

The following tables list the members exposed by IEdmBatchUnlock.

# Public Properties

| Name | Description
--- | --- | ---
| Comment | Gets or sets the comment for unlocking, checking in, or undoing check-outs of the files in this batch.

Top

# Public Methods

| Name | Description
--- | --- | ---
| AddSelection | Specifies the batch of files to be unlocked.
| CreateTree | Creates the file reference tree.
| GetFileList | Gets the list of files to be unlocked.
| ShowDlg | Displays the SOLIDWORKS PDM Professional Check In or Undo Check Out dialog box.
| UnlockFiles | Unlocks, checks in, or undoes the check-outs of the files in this batch.

Top

# See Also

####

IEdmBatchUnlock Interface
EPDM.Interop.epdm Namespace